# -*- coding: utf-8 -*-
# Generated by Django 1.9.6 on 2016-06-30 09:05
from __future__ import unicode_literals

import pypandoc

from django.db import migrations, models


def html_to_markdown(apps, schema_editor):
    Post = apps.get_model("post", "post")
    for obj in Post.objects.all():
        if obj.content:
            obj.markdown = pypandoc.convert(obj.content, "md", format="html")
            obj.save()


class Migration(migrations.Migration):

    dependencies = [
        ('post', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='post',
            name='markdown',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.RunPython(html_to_markdown, reverse_code=lambda a, b: None),
    ]
